MHashKeyGenTest Class Reference

`#include <MHashKeyGenTest.h>`

Inheritance diagram for MHashKeyGenTest:

## Public Member Functions

| MHashKeyGenTest (TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## MHashKeyGenTest()

MHashKeyGenTest::MHashKeyGenTest | ( | TestSuite * | s | ) |

The documentation for this class was generated from the following files:

- MHashKeyGenTest.h
- MHashKeyGenTest.cc